ru.bitel.bgbilling.server.bean

## Class AbstractTransactionManager<B extends Id>

- java.lang.Object
- - ru.bitel.common.dao.AbstarctDaoConstant
  - - ru.bitel.common.dao.AbstractDao<B>
    - - ru.bitel.common.dao.AbstractIdDao<B>
      - - ru.bitel.bgbilling.server.bean.AbstractTransactionManager<B>

- All Implemented Interfaces:
    java.lang.AutoCloseable
  Direct Known Subclasses:
    TransactionManager, TransactionManager, TransactionManager, TransactionManager, TransactionManager, TransactionManager, TransactionManager, TransactionManager, TransactionManager, TransactionManager, TransactionManager, TransactionManager, TransactionManager, TransactionManager

      public abstract class AbstractTransactionManager<B extends Id>
      extends ru.bitel.common.dao.AbstractIdDao<B>

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class ru.bitel.common.dao.AbstractDao

      `ru.bitel.common.dao.AbstractDao.ResultSetIterator`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.util.Map<java.lang.String,java.lang.String>` | `fields`
    `protected org.apache.log4j.Logger` | `logger`
    `protected ParameterMap` | `moduleSetup`

    - ### Fields inherited from class ru.bitel.common.dao.AbstractDao

      `cacheFilter, cacheJoin, cacheOrderBy, cachePaged, cachePS, cacheWhat, con, getByIdPS, mid, moduleId, orderByPattern, tableName`

    - ### Fields inherited from class ru.bitel.common.dao.AbstarctDaoConstant

      `ERROR, SQL_CALC_FOUND_ROWS, SQL_DELETE, SQL_DISTINCT, SQL_EQ, SQL_EQCS, SQL_FROM, SQL_GROUP, SQL_IN, SQL_INSERT, SQL_LIMIT, SQL_ON_DUPLICATE_KEY_UPDATE, SQL_ORDER, SQL_SELECT, SQL_SET, SQL_UPDATE, SQL_VALUES, SQL_WHERE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractTransactionManager(java.sql.Connection con, int moduleId, java.lang.String tableName)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected java.lang.StringBuilder` | `doConnection(java.lang.String url, java.lang.String requestMethod, boolean doInput, java.lang.String outputText)`
    `protected java.lang.StringBuilder` | `doConnection(java.lang.String url, java.lang.String requestMethod, boolean doInput, java.lang.String outputText, java.util.Map<java.lang.String,java.lang.String> requestProperties)`
    `protected java.lang.String` | `getParameter(java.lang.String data, java.lang.String key)`
    `protected int` | `psStatus(java.sql.PreparedStatement ps, java.lang.String status, int index)`
    `protected void` | `queryStatus(java.lang.StringBuilder query, java.lang.String status)`
    `void` | `searchTransaction(SearchResult<B> searchResult, int contractId, java.lang.String contractTitle, java.lang.String status)`
    `void` | `searchTransaction(SearchResult<B> searchResult, int contractId, java.lang.String contractTitle, java.lang.String status, java.lang.Boolean autopaymentTransaction)`
    `protected void` | `setConnectionTimeout(javax.net.ssl.HttpsURLConnection connection)`
    `protected java.lang.String` | `setParameter(java.lang.String data, java.lang.String key, java.lang.String value)`

    - ### Methods inherited from class ru.bitel.common.dao.AbstractIdDao

      `delete, get, getAndDelete, getAndUpdate`

    - ### Methods inherited from class ru.bitel.common.dao.AbstractDao

      `close, delete, deleteImpl, eq, get, getById, getFromRS, getImpl, getListFromRS, getPeriod, getSQLOrder, getTableName, list, list, listImpl, listImpl, listImplPS, listImplPS, ormFromResultSet, ormUpdateImpl, ormUpdateImpl, processException, recycle, setStatementParam, update, updateImpl`

    - ### Methods inherited from class ru.bitel.common.dao.AbstarctDaoConstant

      `getSQLOrder`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### logger

          protected org.apache.log4j.Logger logger

    - #### moduleSetup

          protected ParameterMap moduleSetup

    - #### fields

          public java.util.Map<java.lang.String,java.lang.String> fields

  - ### Constructor Detail

    - #### AbstractTransactionManager

          public AbstractTransactionManager(java.sql.Connection con,
                                            int moduleId,
                                            java.lang.String tableName)

  - ### Method Detail

    - #### searchTransaction

          public void searchTransaction(SearchResult<B> searchResult,
                                        int contractId,
                                        java.lang.String contractTitle,
                                        java.lang.String status)
                                 throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### searchTransaction

          public void searchTransaction(SearchResult<B> searchResult,
                                        int contractId,
                                        java.lang.String contractTitle,
                                        java.lang.String status,
                                        java.lang.Boolean autopaymentTransaction)
                                 throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### queryStatus

          protected void queryStatus(java.lang.StringBuilder query,
                                     java.lang.String status)

    - #### psStatus

          protected int psStatus(java.sql.PreparedStatement ps,
                                 java.lang.String status,
                                 int index)
                          throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### doConnection

          protected java.lang.StringBuilder doConnection(java.lang.String url,
                                                         java.lang.String requestMethod,
                                                         boolean doInput,
                                                         java.lang.String outputText)
                                                  throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### doConnection

          protected java.lang.StringBuilder doConnection(java.lang.String url,
                                                         java.lang.String requestMethod,
                                                         boolean doInput,
                                                         java.lang.String outputText,
                                                         java.util.Map<java.lang.String,java.lang.String> requestProperties)
                                                  throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### setConnectionTimeout

          protected void setConnectionTimeout(javax.net.ssl.HttpsURLConnection connection)

    - #### setParameter

          protected java.lang.String setParameter(java.lang.String data,
                                                  java.lang.String key,
                                                  java.lang.String value)

    - #### getParameter

          protected java.lang.String getParameter(java.lang.String data,
                                                  java.lang.String key)